PLaSK library

Loading...
Searching...
No Matches
Macros | Functions
fortran.hpp File Reference
`#include <plask/plask.hpp>`
Include dependency graph for fortran.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | ztrmm F77_GLOBAL(ztrmm,ZTRMM)
#define | ztrsm F77_GLOBAL(ztrsm,ZTRSM)
#define | zgemv F77_GLOBAL(zgemv,ZGEMV)
#define | zgemm F77_GLOBAL(zgemm,ZGEMM)
#define | zgeev F77_GLOBAL(zgeev,ZGEEV)
#define | zgesv F77_GLOBAL(zgesv,ZGESV)
#define | zgetrf F77_GLOBAL(zgetrf,ZGETRF)
#define | zgetrs F77_GLOBAL(zgetrs,ZGETRS)
#define | ztrevc F77_GLOBAL(ztrevc,ZTREVC)
#define | zgebrd F77_GLOBAL(zgebrd,ZGEBRD)
#define | zbdsqr F77_GLOBAL(zbdsqr,ZBDSQR)
#define | dbdsdc F77_GLOBAL(dbdsdc,DBDSDC)
#define | zpptrf F77_GLOBAL(zpptrf,ZPPTRF)
#define | zpptrs F77_GLOBAL(zpptrs,ZPPTRS)
#define | zlaswp F77_GLOBAL(zlaswp,ZLASWP)
#define | zgeequ F77_GLOBAL(zgeequ,ZGEEQU)
#define | zlaqge F77_GLOBAL(zlaqge,ZLAQGE)
#define | znaupd F77_GLOBAL(znaupd,ZNAUPD)
#define | zneupd F77_GLOBAL(zneupd,ZNEUPD)
#define | dsterf F77_GLOBAL(dsterf,DSTERF)
#define | dstegr F77_GLOBAL(dstegr,DSTEGR)
#define | dstedc F77_GLOBAL(dstedc,DSTEDC)

## Functions
F77SUB | ztrmm (const char &side, const char &uplo, const char &transa, const char &diag, const int &m, const int &n, const dcomplex &alpha, dcomplex *a, const int &lda, dcomplex *b, const int &ldb)
F77SUB | ztrsm (const char &side, const char &uplo, const char &transa, const char &diag, const int &m, const int &n, const dcomplex &alpha, dcomplex *a, const int &lda, dcomplex *b, const int &ldb)
F77SUB | zgemv (const char &trans, const int &m, const int &n, const dcomplex &alpha, const dcomplex *a, const int &lda, const dcomplex *x, const int &incx, const dcomplex &beta, dcomplex *y, const int &incy)
F77SUB | zgemm (const char &transa, const char &transb, const int &m, const int &n, const int &k, const dcomplex &alpha, const dcomplex *a, const int &lda, const dcomplex *b, const int &ldb, const dcomplex &beta, dcomplex *c, const int &ldc)
F77SUB | zgeev (const char &jobvl, const char &jobvr, const int &n, dcomplex *a, const int &lda, dcomplex *w, dcomplex *vl, const int &ldvl, dcomplex *vr, const int &ldvr, dcomplex *work, const int &lwork, double *rwork, int &info)
F77SUB | zgesv (const int &n, const int &nrsh, dcomplex *a, const int &lda, int *ipiv, dcomplex *b, const int &ldb, int &info)
F77SUB | zgetrf (const int &m, const int &n, dcomplex *a, const int &lda, int *ipiv, int &info)
F77SUB | zgetrs (const char &trans, const int &n, const int &nrhs, const dcomplex *a, const int &lda, const int *ipiv, dcomplex *b, const int &ldb, int &info)
F77SUB | ztrevc (const char &side, const char &howmny, const int *select, const int &n, dcomplex *t, const int &ldt, dcomplex *vl, const int &ldvl, dcomplex *vr, const int &ldvr, const int &mm, int &m, dcomplex *work, double *rwork, int &info)
F77SUB | zgebrd (const int &m, const int &n, dcomplex *a, const int &lda, double *d, double *e, dcomplex *tauq, dcomplex *taup, dcomplex *work, const int &lwork, int &info)
F77SUB | zbdsqr (const char &uplo, const int &n, const int &ncvt, const int &nru, const int &ncc, double *d, double *e, dcomplex *vt, const int &ldvt, dcomplex *u, const int &ldu, dcomplex *c, const int &ldc, double *rwork, int &info)
F77SUB | dbdsdc (const char &uplo, const char &compq, const int &n, double *d, double *e, double *u, const int &ldu, double *vt, const int &ldvt, double *q, int *iq, double *work, int *iwork, int &info)
F77SUB | zpptrf (const char &uplo, const int &n, dcomplex *ap, int &info)
F77SUB | zpptrs (const char &uplo, const int &n, const int &nrhs, dcomplex *ap, dcomplex *b, const int &ldb, int &info)
F77SUB | zlaswp (const int &n, dcomplex *a, const int &lda, const int &k1, const int &k2, const int *ipiv, const int &incx)
F77SUB | zgeequ (const int &m, const int &n, const dcomplex *a, const int &lda, double *r, double *c, double &rowcnd, double &colcnd, double &amax, int &info)
F77SUB | zlaqge (const int &m, const int &n, dcomplex *a, const int &lda, const double *r, const double *c, const double &rowcnd, const double &colcnd, const double &amax, char &equed)
F77SUB | znaupd (int &ido, const char &bmat, const int &n, const char *which, const int &nev, const double &tol, dcomplex *resid, const int &ncv, dcomplex *v, const int &ldv, int *iparam, int *ipntr, dcomplex *workd, dcomplex *workl, const int &lworkl, double *rwork, int &info)
F77SUB | zneupd (const int &rvec, const char &howmny, const int *select, dcomplex *d, dcomplex *z, const int &ldz, const double &sigma, dcomplex *workev, const char &bmat, const int &n, const char *which, const int &nev, const double &tol, dcomplex *resid, const int &ncv, dcomplex *v, const int &ldv, int *iparam, int *ipntr, dcomplex *workd, dcomplex *workl, const int &lworkl, double *rwork, int &info)
F77SUB | dsterf (const int &n, double *d, double *e, int &info)
F77SUB | dstegr (const char &jobz, const char &range, const int &n, double *d, double *e, const double &vl, const double &vu, const int &il, const int &iu, const double &abstol, int &m, double *w, double *z, const int &ldz, int *isuppz, double *work, const int &lwork, int &iwork, const int &liwork, int &info)
F77SUB | dstedc (const char &compz, const int &n, double *d, double *e, double *z, const int &ldz, double *work, const int &lwork, int *iwork, const int &liwork, int &info)

## Macro Definition Documentation

## ◆ dbdsdc

#define dbdsdc F77_GLOBAL(dbdsdc,DBDSDC)

Definition at line 103 of file fortran.hpp.

## ◆ dstedc

#define dstedc F77_GLOBAL(dstedc,DSTEDC)

Definition at line 170 of file fortran.hpp.

## ◆ dstegr

#define dstegr F77_GLOBAL(dstegr,DSTEGR)

Definition at line 162 of file fortran.hpp.

## ◆ dsterf

#define dsterf F77_GLOBAL(dsterf,DSTERF)

Definition at line 157 of file fortran.hpp.

## ◆ zbdsqr

#define zbdsqr F77_GLOBAL(zbdsqr,ZBDSQR)

Definition at line 96 of file fortran.hpp.

## ◆ zgebrd

#define zgebrd F77_GLOBAL(zgebrd,ZGEBRD)

Definition at line 91 of file fortran.hpp.

## ◆ zgeequ

#define zgeequ F77_GLOBAL(zgeequ,ZGEEQU)

Definition at line 124 of file fortran.hpp.

## ◆ zgeev

#define zgeev F77_GLOBAL(zgeev,ZGEEV)

Definition at line 61 of file fortran.hpp.

## ◆ zgemm

#define zgemm F77_GLOBAL(zgemm,ZGEMM)

Definition at line 50 of file fortran.hpp.

## ◆ zgemv

#define zgemv F77_GLOBAL(zgemv,ZGEMV)

Definition at line 44 of file fortran.hpp.

## ◆ zgesv

#define zgesv F77_GLOBAL(zgesv,ZGESV)

Definition at line 68 of file fortran.hpp.

## ◆ zgetrf

#define zgetrf F77_GLOBAL(zgetrf,ZGETRF)

Definition at line 74 of file fortran.hpp.

## ◆ zgetrs

#define zgetrs F77_GLOBAL(zgetrs,ZGETRS)

Definition at line 80 of file fortran.hpp.

## ◆ zlaqge

#define zlaqge F77_GLOBAL(zlaqge,ZLAQGE)

Definition at line 129 of file fortran.hpp.

## ◆ zlaswp

#define zlaswp F77_GLOBAL(zlaswp,ZLASWP)

Definition at line 119 of file fortran.hpp.

## ◆ znaupd

#define znaupd F77_GLOBAL(znaupd,ZNAUPD)

Definition at line 137 of file fortran.hpp.

## ◆ zneupd

#define zneupd F77_GLOBAL(zneupd,ZNEUPD)

Definition at line 147 of file fortran.hpp.

## ◆ zpptrf

#define zpptrf F77_GLOBAL(zpptrf,ZPPTRF)

Definition at line 109 of file fortran.hpp.

## ◆ zpptrs

#define zpptrs F77_GLOBAL(zpptrs,ZPPTRS)

Definition at line 114 of file fortran.hpp.

## ◆ ztrevc

#define ztrevc F77_GLOBAL(ztrevc,ZTREVC)

Definition at line 85 of file fortran.hpp.

## ◆ ztrmm

#define ztrmm F77_GLOBAL(ztrmm,ZTRMM)

Definition at line 28 of file fortran.hpp.

## ◆ ztrsm

#define ztrsm F77_GLOBAL(ztrsm,ZTRSM)

Definition at line 37 of file fortran.hpp.

## Function Documentation

## ◆ dbdsdc()

F77SUB dbdsdc | ( | const char & | uplo,
|  | const char & | compq,
|  | const int & | n,
|  | double * | d,
|  | double * | e,
|  | double * | u,
|  | const int & | ldu,
|  | double * | vt,
|  | const int & | ldvt,
|  | double * | q,
|  | int * | iq,
|  | double * | work,
|  | int * | iwork,
|  | int & | info
| ) |  |

## ◆ dstedc()

F77SUB dstedc | ( | const char & | compz,
|  | const int & | n,
|  | double * | d,
|  | double * | e,
|  | double * | z,
|  | const int & | ldz,
|  | double * | work,
|  | const int & | lwork,
|  | int * | iwork,
|  | const int & | liwork,
|  | int & | info
| ) |  |

## ◆ dstegr()

F77SUB dstegr | ( | const char & | jobz,
|  | const char & | range,
|  | const int & | n,
|  | double * | d,
|  | double * | e,
|  | const double & | vl,
|  | const double & | vu,
|  | const int & | il,
|  | const int & | iu,
|  | const double & | abstol,
|  | int & | m,
|  | double * | w,
|  | double * | z,
|  | const int & | ldz,
|  | int * | isuppz,
|  | double * | work,
|  | const int & | lwork,
|  | int & | iwork,
|  | const int & | liwork,
|  | int & | info
| ) |  |

## ◆ dsterf()

F77SUB dsterf | ( | const int & | n,
|  | double * | d,
|  | double * | e,
|  | int & | info
| ) |  |

## ◆ zbdsqr()

F77SUB zbdsqr | ( | const char & | uplo,
|  | const int & | n,
|  | const int & | ncvt,
|  | const int & | nru,
|  | const int & | ncc,
|  | double * | d,
|  | double * | e,
|  | dcomplex * | vt,
|  | const int & | ldvt,
|  | dcomplex * | u,
|  | const int & | ldu,
|  | dcomplex * | c,
|  | const int & | ldc,
|  | double * | rwork,
|  | int & | info
| ) |  |

## ◆ zgebrd()

F77SUB zgebrd | ( | const int & | m,
|  | const int & | n,
|  | dcomplex * | a,
|  | const int & | lda,
|  | double * | d,
|  | double * | e,
|  | dcomplex * | tauq,
|  | dcomplex * | taup,
|  | dcomplex * | work,
|  | const int & | lwork,
|  | int & | info
| ) |  |

## ◆ zgeequ()

F77SUB zgeequ | ( | const int & | m,
|  | const int & | n,
|  | const dcomplex * | a,
|  | const int & | lda,
|  | double * | r,
|  | double * | c,
|  | double & | rowcnd,
|  | double & | colcnd,
|  | double & | amax,
|  | int & | info
| ) |  |

## ◆ zgeev()

F77SUB zgeev | ( | const char & | jobvl,
|  | const char & | jobvr,
|  | const int & | n,
|  | dcomplex * | a,
|  | const int & | lda,
|  | dcomplex * | w,
|  | dcomplex * | vl,
|  | const int & | ldvl,
|  | dcomplex * | vr,
|  | const int & | ldvr,
|  | dcomplex * | work,
|  | const int & | lwork,
|  | double * | rwork,
|  | int & | info
| ) |  |

## ◆ zgemm()

F77SUB zgemm | ( | const char & | transa,
|  | const char & | transb,
|  | const int & | m,
|  | const int & | n,
|  | const int & | k,
|  | const dcomplex & | alpha,
|  | const dcomplex * | a,
|  | const int & | lda,
|  | const dcomplex * | b,
|  | const int & | ldb,
|  | const dcomplex & | beta,
|  | dcomplex * | c,
|  | const int & | ldc
| ) |  |

## ◆ zgemv()

F77SUB zgemv | ( | const char & | trans,
|  | const int & | m,
|  | const int & | n,
|  | const dcomplex & | alpha,
|  | const dcomplex * | a,
|  | const int & | lda,
|  | const dcomplex * | x,
|  | const int & | incx,
|  | const dcomplex & | beta,
|  | dcomplex * | y,
|  | const int & | incy
| ) |  |

## ◆ zgesv()

F77SUB zgesv | ( | const int & | n,
|  | const int & | nrsh,
|  | dcomplex * | a,
|  | const int & | lda,
|  | int * | ipiv,
|  | dcomplex * | b,
|  | const int & | ldb,
|  | int & | info
| ) |  |

## ◆ zgetrf()

F77SUB zgetrf | ( | const int & | m,
|  | const int & | n,
|  | dcomplex * | a,
|  | const int & | lda,
|  | int * | ipiv,
|  | int & | info
| ) |  |

## ◆ zgetrs()

F77SUB zgetrs | ( | const char & | trans,
|  | const int & | n,
|  | const int & | nrhs,
|  | const dcomplex * | a,
|  | const int & | lda,
|  | const int * | ipiv,
|  | dcomplex * | b,
|  | const int & | ldb,
|  | int & | info
| ) |  |

## ◆ zlaqge()

F77SUB zlaqge | ( | const int & | m,
|  | const int & | n,
|  | dcomplex * | a,
|  | const int & | lda,
|  | const double * | r,
|  | const double * | c,
|  | const double & | rowcnd,
|  | const double & | colcnd,
|  | const double & | amax,
|  | char & | equed
| ) |  |

## ◆ zlaswp()

F77SUB zlaswp | ( | const int & | n,
|  | dcomplex * | a,
|  | const int & | lda,
|  | const int & | k1,
|  | const int & | k2,
|  | const int * | ipiv,
|  | const int & | incx
| ) |  |

## ◆ znaupd()

F77SUB znaupd | ( | int & | ido,
|  | const char & | bmat,
|  | const int & | n,
|  | const char * | which,
|  | const int & | nev,
|  | const double & | tol,
|  | dcomplex * | resid,
|  | const int & | ncv,
|  | dcomplex * | v,
|  | const int & | ldv,
|  | int * | iparam,
|  | int * | ipntr,
|  | dcomplex * | workd,
|  | dcomplex * | workl,
|  | const int & | lworkl,
|  | double * | rwork,
|  | int & | info
| ) |  |

## ◆ zneupd()

F77SUB zneupd | ( | const int & | rvec,
|  | const char & | howmny,
|  | const int * | select,
|  | dcomplex * | d,
|  | dcomplex * | z,
|  | const int & | ldz,
|  | const double & | sigma,
|  | dcomplex * | workev,
|  | const char & | bmat,
|  | const int & | n,
|  | const char * | which,
|  | const int & | nev,
|  | const double & | tol,
|  | dcomplex * | resid,
|  | const int & | ncv,
|  | dcomplex * | v,
|  | const int & | ldv,
|  | int * | iparam,
|  | int * | ipntr,
|  | dcomplex * | workd,
|  | dcomplex * | workl,
|  | const int & | lworkl,
|  | double * | rwork,
|  | int & | info
| ) |  |

## ◆ zpptrf()

F77SUB zpptrf | ( | const char & | uplo,
|  | const int & | n,
|  | dcomplex * | ap,
|  | int & | info
| ) |  |

## ◆ zpptrs()

F77SUB zpptrs | ( | const char & | uplo,
|  | const int & | n,
|  | const int & | nrhs,
|  | dcomplex * | ap,
|  | dcomplex * | b,
|  | const int & | ldb,
|  | int & | info
| ) |  |

## ◆ ztrevc()

F77SUB ztrevc | ( | const char & | side,
|  | const char & | howmny,
|  | const int * | select,
|  | const int & | n,
|  | dcomplex * | t,
|  | const int & | ldt,
|  | dcomplex * | vl,
|  | const int & | ldvl,
|  | dcomplex * | vr,
|  | const int & | ldvr,
|  | const int & | mm,
|  | int & | m,
|  | dcomplex * | work,
|  | double * | rwork,
|  | int & | info
| ) |  |

## ◆ ztrmm()

F77SUB ztrmm | ( | const char & | side,
|  | const char & | uplo,
|  | const char & | transa,
|  | const char & | diag,
|  | const int & | m,
|  | const int & | n,
|  | const dcomplex & | alpha,
|  | dcomplex * | a,
|  | const int & | lda,
|  | dcomplex * | b,
|  | const int & | ldb
| ) |  |

## ◆ ztrsm()

F77SUB ztrsm | ( | const char & | side,
|  | const char & | uplo,
|  | const char & | transa,
|  | const char & | diag,
|  | const int & | m,
|  | const int & | n,
|  | const dcomplex & | alpha,
|  | dcomplex * | a,
|  | const int & | lda,
|  | dcomplex * | b,
|  | const int & | ldb
| ) |  |